## org.codehaus.groovy.grails.test
Class GrailsConsoleResultFormatter

    java.lang.Object
      org.codehaus.groovy.grails.test.GrailsConsoleResultFormatter

All Implemented Interfaces:
  junit.framework.TestListener, org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter, org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror

    public class GrailsConsoleResultFormatter

extends Object
implements org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter

Constructor Summary
`GrailsConsoleResultFormatter()`

Method Summary
`void` `addError(junit.framework.Test test, Throwable throwable)`
`void` `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError assertionFailedError)`
`void` `endTest(junit.framework.Test test)`
`void` `endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test)`
`void` `setOutput(OutputStream outputStream)`
`void` `setSystemError(String err)`
`void` `setSystemOutput(String out)`
`void` `startTest(junit.framework.Test test)`
`void` `startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsConsoleResultFormatter

    public GrailsConsoleResultFormatter()

Method Detail

### startTestSuite

    public void startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test)

  Specified by:
    `startTestSuite` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### endTestSuite

    public void endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test)

  Specified by:
    `endTestSuite` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### setOutput

    public void setOutput(OutputStream outputStream)

  Specified by:
    `setOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`
  Specified by:
    `setOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror`

### setSystemOutput

    public void setSystemOutput(String out)

  Specified by:
    `setSystemOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### setSystemError

    public void setSystemError(String err)

  Specified by:
    `setSystemError` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### addError

    public void addError(junit.framework.Test test,
                         Throwable throwable)

  Specified by:
    `addError` in interface `junit.framework.TestListener`

### addFailure

    public void addFailure(junit.framework.Test test,
                           junit.framework.AssertionFailedError assertionFailedError)

  Specified by:
    `addFailure` in interface `junit.framework.TestListener`

### endTest

    public void endTest(junit.framework.Test test)

  Specified by:
    `endTest` in interface `junit.framework.TestListener`

### startTest

    public void startTest(junit.framework.Test test)

  Specified by:
    `startTest` in interface `junit.framework.TestListener`

Copyright (c) 2005-2009 The Grails project